Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.props.internal

# Class ConnectionPropertyRegistry

java.lang.Object
org.firebirdsql.jaybird.props.internal.ConnectionPropertyRegistry

@InternalApi public final class ConnectionPropertyRegistry extends Object
Registry of connection properties available to Jaybird.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`ConnectionProperty`
`getByName(String name)`
Get an existing connection property by its name or alias.
`static ConnectionPropertyRegistry`
`getInstance()`
`ConnectionProperty`
`getOrUnknown(String name)`
Get a connection property by its name or alias, returning an unknown property if it doesn't exist.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getByName

public ConnectionProperty getByName(String name)
Get an existing connection property by its name or alias.

Parameters:
  `name` - Name or alias of the property
Returns:
  The property, or `null` if there is no property with this name.

### getOrUnknown

public ConnectionProperty getOrUnknown(String name)
Get a connection property by its name or alias, returning an unknown property if it doesn't exist.

Parameters:
  `name` - Name or alias of the property
Returns:
  The property (either registered or unknown)

### getInstance

public static ConnectionPropertyRegistry getInstance()

Returns:
  the standard instance of `ConnectionProperties`; for normal usages this is a singleton